CADxp: Traitements d'ordre d'affichage - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Traitements d'ordre d'affichage en script

#1 L'utilisateur est hors-ligne   grand_sapin 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 711
  • Inscrit(e) : 30-juin 05
  • LocationRennes

Posté 15 mars 2019 - 16:34

Bonjour à tous
J'essaye d'automatiser un peu mes tâches d'édition de plan, et pour cela, je voulais savoir s'il était possible de créer une commande en SCRIPT afin que tous mes mes blocs de nivellement insérés dans le calque '01_NIVELLEMENT' du dessin aient le même traitement que la commande TEXTTOFRONT par exemple, et soient mis au premier plan.
De la même manière, j'aimerai pour voir dire dans mes fenêtres de présentation "tous les blocs insérés dans les calques '*_P_SYMB' passe en noir dans la présentation"
Si c'est en lisp obligatoirement, je ne vais pas savoir faire, mais si c'est faisable en script, je suis preneur d'un coup de main, car je galère !

Bon weekend à tous
Rémy

Enregistrer
0

#2 L'utilisateur est hors-ligne   Eric 

  • ceinture rouge et blanche 6em dan
  • Groupe : Membres
  • Messages : 3260
  • Inscrit(e) : 16-décembre 02
  • LocationLamballe (22)

Posté 15 mars 2019 - 17:33

Salut Rémy,

Si tu as les Express d'installé, tu peux utiliser la commande SSX pour sélectionner tes blocs. Cela donne quelque chose comme :


ssx  b * la "01_NIVELLEMENT" 
ORDRETRACE p  av 

0

#3 L'utilisateur est en ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8246
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 17 mars 2019 - 17:31

Hello

Voir ci-dessous le genre de Routine LSP Ultra-Simple que je modifie / adapte a chaque type de DWG !?

Bye, lecrabe (Vive les Patrick & Patrice & Patricia)

;;
;; Exemple de transfert SUCCESSIF de TOUT le contenu d un calque xxxxxx en Arriere-Plan
;; 
;; Dans cet exemple a la fin de l execution de cette routine :
;; Derniere position : 		        PLANCHER
;; Avant-Derniere position : 		PLAFOND
;; Avant-Avant-Derniere position : 	MUR
;; 
;; Commande au clavier :  SSLAR
;; Les calques ne doivent pas etre VERROUILLES
;;

(defun SSLAR ()
(vl-load-com)
  (vl-cmdf "_.draworder" (ssget "_X" '((8 . "MUR")))        ""  "_back" )
  (vl-cmdf "_.draworder" (ssget "_X" '((8 . "PLAFOND")))    ""  "_back" )
  (vl-cmdf "_.draworder" (ssget "_X" '((8 . "PLANCHER")))   ""  "_back" )
  (princ)
) 

Autodesk Expert Elite Team
0

#4 L'utilisateur est hors-ligne   grand_sapin 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 711
  • Inscrit(e) : 30-juin 05
  • LocationRennes

Posté 18 mars 2019 - 18:04

OK merci à tous les deux,
C'est vrai que la routine a l'air simple à modifier... Je vais m'y atteler.
Et pour l'aspect "changement de couleur d'un calque dans une fenêtre de présentation", la commande LISP est assez simple aussi ?
Parce que si c'est du bricolage comme le décapode, ça me va, mais je ne vais pas réussir à écrire la formule de base...
Rémy

Enregistrer
0

#5 L'utilisateur est en ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8246
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 18 mars 2019 - 19:24

Hello Mr Grand_Sapin

Comment ÇA! Tu oses dire que le Décapode bricole !
Bien sûr que je suis une "Tanche" en Lisp MAIS quand même tu pourrais plus Cool / Zen avec les Vieux...

Bye, lecrabe
Autodesk Expert Elite Team
0

#6 L'utilisateur est hors-ligne   grand_sapin 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 711
  • Inscrit(e) : 30-juin 05
  • LocationRennes

Posté 19 mars 2019 - 09:33

Image IPBImage IPBImage IPB
Enregistrer
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)